Subject: RE: [Sip] Contact header on UPDATE

From: [email-masked]
Date: Fri, 13 Feb 2004 04:00:56 +0530

Comments inline...

Thanks & Regards,
Nataraju A.B. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Arunachalam Venkatraman
Sent: Wednesday, February 11, 2004 1:49 AM
To: Jonathan Rosenberg
Cc: [email-masked]
Subject: RE: [Sip] Contact header on UPDATE

Jonathan
Since INVITE establishes the target information, it is clear why it is
mandatory on the INVITE.
In subsequent rerquests withina dialog, the Contact need not be
mandatory.
If the remote traget is to be changed, then the Contact must be
specified,
otherwise not. What is broken if UPDATE does not have a Contact? What
functionality is lost?

My understanding for making Contact mandatory on a re-INVITE, was to
avoid
making re-INVITE any different from an INVITE.

It is not a terribly onerous thing to provide Conatct on an UPDATE (and
its
200), but I wish to understand what is achieved by doing it and what is
lost
by not doing it.

[ABN] here you are using UPDATE with an intention of updating your
contact information. I can narrate your scenario as sending an envelope
without addressee contact information. In this case for sure envelope
does not reach the intended destination. 
Here I meant that you are sending an UPDATE to update your contact
information with the remote party, and UPADTE without contact
information what does it serves for you -- Nothing... hence contact is
mandatory for UPDAET request...

Regards,
Venkat

-----Original Message-----
From: Jonathan Rosenberg [mailto:[email-masked]]
Sent: Tuesday, February 10, 2004 2:08 PM
To: arunvenk
Cc: [email-masked]
Subject: Re: [Sip] Contact header on UPDATE

UPDATE is a target refresh request, which means it updates the remote
target (i.e., the Contact). That means, like INVITE, it needs to contain
a contact.

Thanks,
Jonathan R.

arunvenk wrote:

> Moving to sip - no response on sip-implementors ....
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of
> Arunachalam Venkatraman
> Sent: Friday, February 06, 2004 10:49 AM
> To: [email-masked]
> Subject: [Sip-implementors] Contact header on UPDATE
>
> RFC3311 - UPDATE
> Why is the Contact header mandatory on an UPDATE request?
>
> Why is the Contact header mandatory on a 2xx response to an UPDATE
> request?
>
> _______________________________________________
> Sip-implementors mailing list
> [email-masked]
> http://lists.cs.columbia.edu/mailman/listinfo/sip-implementors
>
>
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
>

--
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip